//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutBasicAZERTY class - describes the basic AZERTY keyboard and its use
//

public class KBLayoutBasicAZERTY extends KBLayout
			implements KBNamespace {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "Basic AZERTY";

	public KBLayoutBasicAZERTY() { set_kb_id( KB_ID );
//
// This table defines the character, the keycode of the key that implements
// that character, whether shift should be pressed with this keycode to get
// this character, what finger is assigned to the key, and the group the
// character belongs to.
//
//                  Char   Code    Shifted?    Finger      Glyphgroup
//                  ----   ----    --------    ------      ----------
append(  new Glyph( '\n',  KC_28,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( ' ',   KC_57,  UNSHIFTED,  RH_THUMB,   BASIC           ));

append(  new Glyph( '1',   KC_2,   SHIFTED,    LH_PINKY,   NUMERIC         ));
append(  new Glyph( '2',   KC_3,   SHIFTED,    LH_RING,    NUMERIC         ));
append(  new Glyph( '3',   KC_4,   SHIFTED,    LH_MIDDLE,  NUMERIC         ));
append(  new Glyph( '4',   KC_5,   SHIFTED,    LH_INDEX,   NUMERIC         ));
append(  new Glyph( '5',   KC_6,   SHIFTED,    LH_INDEX,   NUMERIC         ));
append(  new Glyph( '6',   KC_7,   SHIFTED,    RH_INDEX,   NUMERIC         ));
append(  new Glyph( '7',   KC_8,   SHIFTED,    RH_INDEX,   NUMERIC         ));
append(  new Glyph( '8',   KC_9,   SHIFTED,    RH_MIDDLE,  NUMERIC         ));
append(  new Glyph( '9',   KC_10,  SHIFTED,    RH_RING,    NUMERIC         ));
append(  new Glyph( '0',   KC_11,  SHIFTED,    RH_PINKY,   NUMERIC         ));

append(  new Glyph( 'A',   KC_16,  SHIFTED,    LH_PINKY,   SHIFTED_ALPHA   ));
append(  new Glyph( 'Z',   KC_17,  SHIFTED,    LH_RING,    SHIFTED_ALPHA   ));
append(  new Glyph( 'E',   KC_18,  SHIFTED,    LH_MIDDLE,  SHIFTED_ALPHA   ));
append(  new Glyph( 'R',   KC_19,  SHIFTED,    LH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'T',   KC_20,  SHIFTED,    LH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'Y',   KC_21,  SHIFTED,    RH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'U',   KC_22,  SHIFTED,    RH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'I',   KC_23,  SHIFTED,    RH_MIDDLE,  SHIFTED_ALPHA   ));
append(  new Glyph( 'O',   KC_24,  SHIFTED,    RH_RING,    SHIFTED_ALPHA   ));
append(  new Glyph( 'P',   KC_25,  SHIFTED,    RH_PINKY,   SHIFTED_ALPHA   ));
append(  new Glyph( 'Q',   KC_30,  SHIFTED,    LH_PINKY,   SHIFTED_ALPHA   ));
append(  new Glyph( 'S',   KC_31,  SHIFTED,    LH_RING,    SHIFTED_ALPHA   ));
append(  new Glyph( 'D',   KC_32,  SHIFTED,    LH_MIDDLE,  SHIFTED_ALPHA   ));
append(  new Glyph( 'F',   KC_33,  SHIFTED,    LH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'G',   KC_34,  SHIFTED,    LH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'H',   KC_35,  SHIFTED,    RH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'J',   KC_36,  SHIFTED,    RH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'K',   KC_37,  SHIFTED,    RH_MIDDLE,  SHIFTED_ALPHA   ));
append(  new Glyph( 'L',   KC_38,  SHIFTED,    RH_RING,    SHIFTED_ALPHA   ));
append(  new Glyph( 'M',   KC_39,  SHIFTED,    RH_PINKY,   SHIFTED_ALPHA   ));
append(  new Glyph( 'W',   KC_44,  SHIFTED,    LH_PINKY,   SHIFTED_ALPHA   ));
append(  new Glyph( 'X',   KC_45,  SHIFTED,    LH_RING,    SHIFTED_ALPHA   ));
append(  new Glyph( 'C',   KC_46,  SHIFTED,    LH_MIDDLE,  SHIFTED_ALPHA   ));
append(  new Glyph( 'V',   KC_47,  SHIFTED,    LH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'B',   KC_48,  SHIFTED,    LH_INDEX,   SHIFTED_ALPHA   ));
append(  new Glyph( 'N',   KC_49,  SHIFTED,    RH_INDEX,   SHIFTED_ALPHA   ));

append(  new Glyph( 'a',   KC_16,  UNSHIFTED,  LH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'z',   KC_17,  UNSHIFTED,  LH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( 'e',   KC_18,  UNSHIFTED,  LH_MIDDLE,  UNSHIFTED_ALPHA ));
append(  new Glyph( 'r',   KC_19,  UNSHIFTED,  LH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 't',   KC_20,  UNSHIFTED,  LH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'y',   KC_21,  UNSHIFTED,  RH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'u',   KC_22,  UNSHIFTED,  RH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'i',   KC_23,  UNSHIFTED,  RH_MIDDLE,  UNSHIFTED_ALPHA ));
append(  new Glyph( 'o',   KC_24,  UNSHIFTED,  RH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( 'p',   KC_25,  UNSHIFTED,  RH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'q',   KC_30,  UNSHIFTED,  LH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( 's',   KC_31,  UNSHIFTED,  LH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( 'd',   KC_32,  UNSHIFTED,  LH_MIDDLE,  UNSHIFTED_ALPHA ));
append(  new Glyph( 'f',   KC_33,  UNSHIFTED,  LH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'g',   KC_34,  UNSHIFTED,  LH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'h',   KC_35,  UNSHIFTED,  RH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'j',   KC_36,  UNSHIFTED,  RH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'k',   KC_37,  UNSHIFTED,  RH_MIDDLE,  UNSHIFTED_ALPHA ));
append(  new Glyph( 'l',   KC_38,  UNSHIFTED,  RH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( 'm',   KC_39,  UNSHIFTED,  RH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'w',   KC_44,  UNSHIFTED,  LH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'x',   KC_45,  UNSHIFTED,  LH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( 'c',   KC_46,  UNSHIFTED,  LH_MIDDLE,  UNSHIFTED_ALPHA ));
append(  new Glyph( 'v',   KC_47,  UNSHIFTED,  LH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'b',   KC_48,  UNSHIFTED,  LH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( 'n',   KC_49,  UNSHIFTED,  RH_INDEX,   UNSHIFTED_ALPHA ));
	}
}
