//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutDvorakANSI class - describes the ANSI Dvorak keyboard and its use
//
// This is almost the same as the PC/Mac Dvorak keyboard; the only thing that
// changes is that the [] and {} are shifted about so that the open and close
// are on the same key, and +/= is moved.
//

public class KBLayoutDvorakANSI extends KBLayoutDvorak
			implements KBNamespace {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "ANSI Dvorak";

	public KBLayoutDvorakANSI() { set_kb_id( KB_ID );
//
// This table defines the character, the keycode of the key that implements
// that character, whether shift should be pressed with this keycode to get
// this character, what finger is assigned to the key, and the group the
// character belongs to.
//
//                  Char   Code    Shifted?    Finger      Glyphgroup
//                  ----   ----    --------    ------      ----------
replace( new Glyph( '[',   KC_12,  UNSHIFTED,  RH_PINKY,   BASIC           ));
replace( new Glyph( ']',   KC_12,  SHIFTED,    RH_PINKY,   BASIC           ));
replace( new Glyph( '=',   KC_13,  UNSHIFTED,  RH_PINKY,   BASIC           ));
replace( new Glyph( '{',   KC_27,  UNSHIFTED,  RH_PINKY,   FIGURES         ));
replace( new Glyph( '}',   KC_27,  SHIFTED,    RH_PINKY,   FIGURES         ));
replace( new Glyph( '+',   KC_13,  SHIFTED,    RH_PINKY,   FIGURES         ));
	}
}
