//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutFrench - describes the French keyboard and its use
//

public class KBLayoutFrench extends KBLayoutBasicAZERTY
			implements KBNamespace {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "French";

	public KBLayoutFrench() { set_kb_id( KB_ID );
//
// This table defines the character, the keycode of the key that implements
// that character, whether shift should be pressed with this keycode to get
// this character, what finger is assigned to the key, and the group the
// character belongs to.
//
//                  Char   Code    Shifted?    Finger      Glyphgroup
//                  ----   ----    --------    ------      ----------
append(  new Glyph( '\262',KC_41,  UNSHIFTED,  LH_PINKY,   FIGURES         ));
append(  new Glyph( '&',   KC_2,   UNSHIFTED,  LH_PINKY,   FIGURES         ));
append(  new Glyph( '\351',KC_3,   UNSHIFTED,  LH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( '\"',  KC_4,   UNSHIFTED,  LH_MIDDLE,  FIGURES         ));
append(  new Glyph( ''',   KC_5,   UNSHIFTED,  LH_INDEX,   FIGURES         ));
append(  new Glyph( '(',   KC_6,   UNSHIFTED,  LH_INDEX,   FIGURES         ));
append(  new Glyph( '-',   KC_7,   UNSHIFTED,  RH_INDEX,   FIGURES         ));
append(  new Glyph( '\350',KC_8,   UNSHIFTED,  RH_INDEX,   UNSHIFTED_ALPHA ));
append(  new Glyph( '_',   KC_9,   UNSHIFTED,  RH_MIDDLE,  FIGURES         ));
append(  new Glyph( '\347',KC_10,  UNSHIFTED,  RH_RING,    UNSHIFTED_ALPHA ));
append(  new Glyph( '\340',KC_11,  UNSHIFTED,  RH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( ')',   KC_12,  UNSHIFTED,  RH_PINKY,   FIGURES         ));

append(  new Glyph( '=',   KC_13,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '^',   KC_26,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '$',   KC_27,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '*',   KC_43,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '\371',KC_40,  UNSHIFTED,  RH_PINKY,   UNSHIFTED_ALPHA ));
append(  new Glyph( ',',   KC_50,  UNSHIFTED,  RH_INDEX,   BASIC           ));
append(  new Glyph( ';',   KC_51,  UNSHIFTED,  RH_MIDDLE,  BASIC           ));
append(  new Glyph( ':',   KC_52,  UNSHIFTED,  RH_RING,    BASIC           ));
append(  new Glyph( '!',   KC_53,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '\260',KC_12,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '+',   KC_13,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '\250',KC_26,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '\243',KC_27,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '\265',KC_43,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '%',   KC_40,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '?',   KC_50,  SHIFTED,    RH_INDEX,   BASIC           ));
append(  new Glyph( '.',   KC_51,  SHIFTED,    RH_MIDDLE,  BASIC           ));
append(  new Glyph( '/',   KC_52,  SHIFTED,    RH_RING,    BASIC           ));
append(  new Glyph( '\247',KC_53,  SHIFTED,    RH_PINKY,   BASIC           ));
append(  new Glyph( '\271',KC_2,   META_ALT,   LH_PINKY,   BASIC           ));
append(  new Glyph( '~',   KC_3,   META_ALT,   LH_RING,    BASIC           ));
append(  new Glyph( '#',   KC_4,   META_ALT,   LH_MIDDLE,  BASIC           ));
append(  new Glyph( '{',   KC_5,   META_ALT,   LH_INDEX,   BASIC           ));
append(  new Glyph( '[',   KC_6,   META_ALT,   LH_INDEX,   BASIC           ));
append(  new Glyph( '|',   KC_7,   META_ALT,   RH_INDEX,   BASIC           ));
append(  new Glyph( '`',   KC_8,   META_ALT,   RH_INDEX,   BASIC           ));
append(  new Glyph( '\\',  KC_9,   META_ALT,   RH_MIDDLE,  BASIC           ));
append(  new Glyph( '^',   KC_10,  META_ALT,   RH_RING,    BASIC           ));
append(  new Glyph( '@',   KC_11,  META_ALT,   RH_PINKY,   BASIC           ));
append(  new Glyph( ']',   KC_12,  META_ALT,   RH_PINKY,   BASIC           ));
append(  new Glyph( '}',   KC_13,  META_ALT,   RH_PINKY,   BASIC           ));
append(  new Glyph( '\244',KC_27,  META_ALT,   RH_PINKY,   BASIC           ));
append(  new Glyph( '\264',KC_50,  META_ALT,   RH_INDEX,   BASIC           ));
	}
}
