//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutUK class - describes the UK keyboard and its use
//
// This is pretty much the same as the US keyboard, with a couple of small
// changes to keys such as @ and ", and the addition of the sterling currency
// symbol.
//

public class KBLayoutUK extends KBLayoutUS
			implements KBNamespace {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "UK";

	public KBLayoutUK() { set_kb_id( KB_ID );
//
// This table defines the character, the keycode of the key that implements
// that character, whether shift should be pressed with this keycode to get
// this character, what finger is assigned to the key, and the group the
// character belongs to.
//
//                  Char   Code    Shifted?    Finger      Glyphgroup
//                  ----   ----    --------    ------      ----------
replace( new Glyph( '#',   KC_43,  UNSHIFTED,  RH_PINKY,   BASIC           ));
replace( new Glyph( '\\',  KC_NULL,UNSHIFTED,  LH_PINKY,   BASIC           ));
replace( new Glyph( '\"',  KC_2,   SHIFTED,    LH_RING,    FIGURES         ));
replace( new Glyph( '@',   KC_40,  SHIFTED,    RH_PINKY,   FIGURES         ));
replace( new Glyph( '~',   KC_41,  UNSHIFTED,  RH_PINKY,   FIGURES         ));
replace( new Glyph( '\243',KC_4,   SHIFTED,    LH_MIDDLE,  FIGURES         ));
replace( new Glyph( '|',   KC_NULL,SHIFTED,    LH_PINKY,   FIGURES         ));
	}
}
