//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KBLayoutUS class - describes the US keyboard and its use
//

public class KBLayoutUS extends KBLayoutBasicQWERTY
			implements KBNamespace {

	// unique ID for the keyboard type
	public static final String	KB_ID	= "US";

	public KBLayoutUS() { set_kb_id( KB_ID );
//
// This table defines the character, the keycode of the key that implements
// that character, whether shift should be pressed with this keycode to get
// this character, what finger is assigned to the key, and the group the
// character belongs to.
//
//                  Char   Code    Shifted?    Finger      Glyphgroup
//                  ----   ----    --------    ------      ----------
append(  new Glyph( '`',   KC_41,  UNSHIFTED,  LH_PINKY,   FIGURES         ));
append(  new Glyph( '!',   KC_2,   SHIFTED,    LH_PINKY,   FIGURES         ));
append(  new Glyph( '@',   KC_3,   SHIFTED,    LH_RING,    FIGURES         ));
append(  new Glyph( '#',   KC_4,   SHIFTED,    LH_MIDDLE,  FIGURES         ));
append(  new Glyph( '$',   KC_5,   SHIFTED,    LH_INDEX,   FIGURES         ));
append(  new Glyph( '%',   KC_6,   SHIFTED,    LH_INDEX,   FIGURES         ));
append(  new Glyph( '^',   KC_7,   SHIFTED,    RH_INDEX,   FIGURES         ));
append(  new Glyph( '&',   KC_8,   SHIFTED,    RH_INDEX,   FIGURES         ));
append(  new Glyph( '*',   KC_9,   SHIFTED,    RH_MIDDLE,  FIGURES         ));
append(  new Glyph( '(',   KC_10,  SHIFTED,    RH_RING,    FIGURES         ));
append(  new Glyph( ')',   KC_11,  SHIFTED,    RH_PINKY,   FIGURES         ));
append(  new Glyph( '-',   KC_12,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '=',   KC_13,  UNSHIFTED,  RH_PINKY,   BASIC           ));

append(  new Glyph( '[',   KC_26,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( ']',   KC_27,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '\\',  KC_43,  UNSHIFTED,  RH_PINKY,   BASIC           ));

append(  new Glyph( ';',   KC_39,  UNSHIFTED,  RH_PINKY,   BASIC           ));
append(  new Glyph( '\'',  KC_40,  UNSHIFTED,  RH_PINKY,   BASIC           ));

append(  new Glyph( ',',   KC_51,  UNSHIFTED,  RH_MIDDLE,  BASIC           ));
append(  new Glyph( '.',   KC_52,  UNSHIFTED,  RH_RING,    BASIC           ));
append(  new Glyph( '/',   KC_53,  UNSHIFTED,  RH_PINKY,   BASIC           ));

append(  new Glyph( '~',   KC_41,  SHIFTED,    LH_PINKY,   FIGURES         ));
append(  new Glyph( '_',   KC_12,  SHIFTED,    RH_PINKY,   FIGURES         ));
append(  new Glyph( '+',   KC_13,  SHIFTED,    RH_PINKY,   FIGURES         ));

append(  new Glyph( '{',   KC_26,  SHIFTED,    RH_PINKY,   FIGURES         ));
append(  new Glyph( '}',   KC_27,  SHIFTED,    RH_PINKY,   FIGURES         ));
append(  new Glyph( '|',   KC_43,  SHIFTED,    RH_PINKY,   FIGURES         ));

append(  new Glyph( ':',   KC_39,  SHIFTED,    RH_PINKY,   FIGURES         ));
append(  new Glyph( '\"',  KC_40,  SHIFTED,    RH_PINKY,   FIGURES         ));
append(  new Glyph( '<',   KC_51,  SHIFTED,    RH_MIDDLE,  FIGURES         ));
append(  new Glyph( '>',   KC_52,  SHIFTED,    RH_RING,    FIGURES         ));
append(  new Glyph( '?',   KC_53,  SHIFTED,    RH_PINKY,   FIGURES         ));
	}
}
