//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// KeyCode class - encapsulation of the notion of a keycode
//

/**
 * KeyCode class gives an encapsulation of keycodes.
 */
public class KeyCode {

	// a guaranteed unused keycode; may be employed to construct spacers
	// in a layout window, and should never be used in a KBLayout
	public static final KeyCode	KC_UNUSED	= new KeyCode(  -1 );

	// a null keycode; use in KBLayouts to specify that a key is not
	// shown on the graphical keyboard layout
	public static final KeyCode	KC_NULL		= new KeyCode(   0 );

	// only other definitions of keycodes available
	public static final KeyCode	KC_1		= new KeyCode(   1 );
	public static final KeyCode	KC_2		= new KeyCode(   2 );
	public static final KeyCode	KC_3		= new KeyCode(   3 );
	public static final KeyCode	KC_4		= new KeyCode(   4 );
	public static final KeyCode	KC_5		= new KeyCode(   5 );
	public static final KeyCode	KC_6		= new KeyCode(   6 );
	public static final KeyCode	KC_7		= new KeyCode(   7 );
	public static final KeyCode	KC_8		= new KeyCode(   8 );
	public static final KeyCode	KC_9		= new KeyCode(   9 );
	public static final KeyCode	KC_10		= new KeyCode(  10 );
	public static final KeyCode	KC_11		= new KeyCode(  11 );
	public static final KeyCode	KC_12		= new KeyCode(  12 );
	public static final KeyCode	KC_13		= new KeyCode(  13 );
	public static final KeyCode	KC_14		= new KeyCode(  14 );
	public static final KeyCode	KC_15		= new KeyCode(  15 );
	public static final KeyCode	KC_16		= new KeyCode(  16 );
	public static final KeyCode	KC_17		= new KeyCode(  17 );
	public static final KeyCode	KC_18		= new KeyCode(  18 );
	public static final KeyCode	KC_19		= new KeyCode(  19 );
	public static final KeyCode	KC_20		= new KeyCode(  20 );
	public static final KeyCode	KC_21		= new KeyCode(  21 );
	public static final KeyCode	KC_22		= new KeyCode(  22 );
	public static final KeyCode	KC_23		= new KeyCode(  23 );
	public static final KeyCode	KC_24		= new KeyCode(  24 );
	public static final KeyCode	KC_25		= new KeyCode(  25 );
	public static final KeyCode	KC_26		= new KeyCode(  26 );
	public static final KeyCode	KC_27		= new KeyCode(  27 );
	public static final KeyCode	KC_28		= new KeyCode(  28 );
	public static final KeyCode	KC_29		= new KeyCode(  29 );
	public static final KeyCode	KC_30		= new KeyCode(  30 );
	public static final KeyCode	KC_31		= new KeyCode(  31 );
	public static final KeyCode	KC_32		= new KeyCode(  32 );
	public static final KeyCode	KC_33		= new KeyCode(  33 );
	public static final KeyCode	KC_34		= new KeyCode(  34 );
	public static final KeyCode	KC_35		= new KeyCode(  35 );
	public static final KeyCode	KC_36		= new KeyCode(  36 );
	public static final KeyCode	KC_37		= new KeyCode(  37 );
	public static final KeyCode	KC_38		= new KeyCode(  38 );
	public static final KeyCode	KC_39		= new KeyCode(  39 );
	public static final KeyCode	KC_40		= new KeyCode(  40 );
	public static final KeyCode	KC_41		= new KeyCode(  41 );
	public static final KeyCode	KC_42		= new KeyCode(  42 );
	public static final KeyCode	KC_43		= new KeyCode(  43 );
	public static final KeyCode	KC_44		= new KeyCode(  44 );
	public static final KeyCode	KC_45		= new KeyCode(  45 );
	public static final KeyCode	KC_46		= new KeyCode(  46 );
	public static final KeyCode	KC_47		= new KeyCode(  47 );
	public static final KeyCode	KC_48		= new KeyCode(  48 );
	public static final KeyCode	KC_49		= new KeyCode(  49 );
	public static final KeyCode	KC_50		= new KeyCode(  50 );
	public static final KeyCode	KC_51		= new KeyCode(  51 );
	public static final KeyCode	KC_52		= new KeyCode(  52 );
	public static final KeyCode	KC_53		= new KeyCode(  53 );
	public static final KeyCode	KC_54		= new KeyCode(  54 );
	public static final KeyCode	KC_55		= new KeyCode(  55 );
	public static final KeyCode	KC_56		= new KeyCode(  56 );
	public static final KeyCode	KC_57		= new KeyCode(  57 );
	public static final KeyCode	KC_58		= new KeyCode(  58 );
	public static final KeyCode	KC_59		= new KeyCode(  59 );
	public static final KeyCode	KC_60		= new KeyCode(  60 );
	public static final KeyCode	KC_61		= new KeyCode(  61 );
	public static final KeyCode	KC_62		= new KeyCode(  62 );
	public static final KeyCode	KC_63		= new KeyCode(  63 );
	public static final KeyCode	KC_64		= new KeyCode(  64 );
	public static final KeyCode	KC_65		= new KeyCode(  65 );
	public static final KeyCode	KC_66		= new KeyCode(  66 );
	public static final KeyCode	KC_67		= new KeyCode(  67 );
	public static final KeyCode	KC_68		= new KeyCode(  68 );
	public static final KeyCode	KC_69		= new KeyCode(  69 );
	public static final KeyCode	KC_70		= new KeyCode(  70 );
	public static final KeyCode	KC_71		= new KeyCode(  71 );
	public static final KeyCode	KC_72		= new KeyCode(  72 );
	public static final KeyCode	KC_73		= new KeyCode(  73 );
	public static final KeyCode	KC_74		= new KeyCode(  74 );
	public static final KeyCode	KC_75		= new KeyCode(  75 );
	public static final KeyCode	KC_76		= new KeyCode(  76 );
	public static final KeyCode	KC_77		= new KeyCode(  77 );
	public static final KeyCode	KC_78		= new KeyCode(  78 );
	public static final KeyCode	KC_79		= new KeyCode(  79 );
	public static final KeyCode	KC_80		= new KeyCode(  80 );
	public static final KeyCode	KC_81		= new KeyCode(  81 );
	public static final KeyCode	KC_82		= new KeyCode(  82 );
	public static final KeyCode	KC_83		= new KeyCode(  83 );
	public static final KeyCode	KC_84		= new KeyCode(  84 );
	public static final KeyCode	KC_85		= new KeyCode(  85 );
	public static final KeyCode	KC_86		= new KeyCode(  86 );
	public static final KeyCode	KC_87		= new KeyCode(  87 );
	public static final KeyCode	KC_88		= new KeyCode(  88 );
	public static final KeyCode	KC_89		= new KeyCode(  89 );
	public static final KeyCode	KC_90		= new KeyCode(  90 );
	public static final KeyCode	KC_91		= new KeyCode(  91 );
	public static final KeyCode	KC_92		= new KeyCode(  92 );
	public static final KeyCode	KC_93		= new KeyCode(  93 );
	public static final KeyCode	KC_94		= new KeyCode(  94 );
	public static final KeyCode	KC_95		= new KeyCode(  95 );
	public static final KeyCode	KC_96		= new KeyCode(  96 );
	public static final KeyCode	KC_97		= new KeyCode(  97 );
	public static final KeyCode	KC_98		= new KeyCode(  98 );
	public static final KeyCode	KC_99		= new KeyCode(  99 );
	public static final KeyCode	KC_100		= new KeyCode( 100 );
	public static final KeyCode	KC_101		= new KeyCode( 101 );
	public static final KeyCode	KC_102		= new KeyCode( 102 );
	public static final KeyCode	KC_103		= new KeyCode( 103 );
	public static final KeyCode	KC_104		= new KeyCode( 104 );

	// the integer keycode
	private int	keycode			= 0;

	/**
	 * Create a new keycode.
	 */
	private KeyCode( int keycode ) {
		this.keycode = keycode;
	}

	/**
	 * Return a string representation of the keycode.
	 */
	public String toString()	{ return ( "" + keycode ); }


	// test code
	public static void main ( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		System.out.println( KC_UNUSED );
		System.out.println( KC_NULL );
		System.out.println( KC_1 );
		System.out.println( KC_104 );
	}
}
