//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeries class - holds a series of lessons
//
import java.util.Vector;

/**
 * Holds a series of lessons.
 */
public class LessonSeries {

	// attributes of the lesson series
	private String		series_id	= null;
	private String		descr		= null;
	private Vector		lessons		= null;


	/**
	 * Constructor to create an empty lesson series.
	 */
	public LessonSeries( String series_id, String descr ) {
		this.series_id	= series_id;
		this.descr	= descr;
		this.lessons	= new Vector();
	}


	/*
	 * Accessor methods.
	 */
	public String	get_series_id()	{ return ( series_id ); }
	public String	get_descr()	{ return ( descr ); }
	public int	get_length()	{ return ( lessons.size() ); }


	/**
	 * Add a new lesson to this series.
	 */
	public void append( Lesson lesson ) {
		lessons.addElement( lesson );
	}

	/**
	 * Get a lesson back out of this series.
	 */
	public Lesson get( int index ) {
		return ( (Lesson)lessons.elementAt( index ) );
	}


	/**
	 * Printout method.
	 */
	public String toString() {
		String ret_str = getClass().getName()
				+ "{series_id=\"" + series_id
				+ "\",descr=\"" + descr
				+ "\",lessons@" + lessons.toString();
		return ( ret_str + "}" );
	}


	/**
	 * Class test code.
	 */
	public static void main( String args[] ) {
		System.out.println( "*** CLASS TEST CODE ***" );

		LessonSeries ls = new LessonSeries( "Id", "Description" );
		for ( int i = 0; i < 10; i++ ) {
			ls.append( new TutorialLesson(
					"Test " + i + " lesson title",
					"Test lesson text" ));
		}
		System.out.println( ls );
	}
}
