//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// LessonSeriesT class - holds the T series of lessons
//

public class LessonSeriesT extends LessonSeries {
	public static final String SERIES_ID	= "T";
	public static final String DESCRIPTION	= "QWERTY touch typing (T1 - T16)";

	public LessonSeriesT() { super( SERIES_ID, DESCRIPTION );

append( new TutorialLesson( 
"Lesson T1.1: Tutorial",
  "			Welcome to Lesson T1\n"
+ "\n"
+ "In the T series of lessons, we will be learning to touch-type on the standard\n"
+ "keyboard.  I will introduce you to each letter on the keyboard, one at a time.\n"
+ "By the time you have completed this series, you will be able to type the entire\n"
+ "alphabet, the numbers, and most of the punctuation keys by touch.\n"
+ "\n"
+ "If you have never taken any lessons in typing before, please be patient.  Typing\n"
+ "is not difficult but it does take a lot of practice.  Avoid the tendency to\n"
+ "look down at your fingers while typing.  This is a very bad habit and is hard\n"
+ "to break later.  If you hit the wrong key, I will let you know.\n"
+ "\n"
+ "If you have always used the hunt-and-peck method, you will have an even harder\n"
+ "time keeping yourself from looking.  Don't be surprised if you find touch\n"
+ "typing slower than your old ways.  It may be slower when you first start.\n"
+ "But, touch typing is far faster once you get the hang of it.\n"
+ "\n"
+ "If you can already touch type, you should be able to go through these lessons\n"
+ "fairly quickly.  Or, you may want to go directly to the S series.\n"
));

append( new TutorialLesson( 
"Lesson T1.2: Tutorial",
  "			The Home Keys\n"
+ "\n"
+ "In order to hit the correct keys by touch alone, you must always know where your\n"
+ "fingers are.  The way to do this is to have a special place for each finger.\n"
+ "This key is called the HOME position.\n"
+ "\n"
+ "Place the first finger of your right hand on the J-key.  Now, place your second\n"
+ "finger on the K-key, your third finger on the L-key, and your fourth-finger on\n"
+ "the ;-key (the one with the : and ; on it).\n"
+ "\n"
+ "Similarly place the four fingers of your left hand on the F, D, S, and A-keys.\n"
+ "Place your right thumb over the SPACE bar.  (Henceforth, always hit the SPACE\n"
+ "bar with this thumb.)  Now, lift all your fingers slightly so that they are\n"
+ "poised just over the keys.  Each finger should be just barely touching its home\n"
+ "key.  This is an electronic keyboard and does not take much pressure to ac-\n"
+ "cidentally press the key down.\n"
+ "\n"
+ "Learn these positions well.  Whenever you are about to type a line, look at your\n"
+ "fingers and make sure they are in the HOME position.  Then don't look at them\n"
+ "again.\n"
));

append( new TutorialLesson( 
"Lesson T1.3: Tutorial",
  "			Drill Patterns\n"
+ "\n"
+ "For the rest of this lesson, I will display some text in an exercise, usually\n"
+ "with some brief instructions above it.\n"
+ "\n"
+ "All you have to do is type in the characters that you see in the exercise.\n"
+ "If you hit the correct key, I will print it underneath the exercise.  If you\n"
+ "make a mistake, I will display an error character in place of the letter that\n"
+ "you got wrong.  In either event, just keep going by typing the next letter.\n"
+ "\n"
+ "When you have finished typing the line, hit the RETURN key.  To do this, extend\n"
+ "the little finger of your right hand over to the RETURN key.  Hit the key and\n"
+ "zip the finger back to its home position.  Be careful not to let your other\n"
+ "fingers move far from their home positions in the process.  Also, be careful\n"
+ "not to type an extra space at the end of the line.\n"
+ "\n"
+ "Repeat the exercise until you make no more than a couple of mistakes, and\n"
+ "ideally none at all.  Don't forget to use your right thumb for the SPACE bar.\n"
));

append( new DrillLesson( 
"Lesson T1.4: Drill",
"Hit the F-key four times with the first finger of your left hand.",
  "ffff\n"
));

append( new DrillLesson( 
"Lesson T1.5: Drill",
"Alternately, hit the F-key and the SPACE bar.",
  "fff fff fff ff ff ff f f f\n"
));

append( new DrillLesson( 
"Lesson T1.6: Drill",
"Don't look at your hands!  Hit the J-key with the first finger of your right hand.",
  "jjj jjj jjj jj jj jj j j j\n"
));

append( new DrillLesson( 
"Lesson T1.7: Drill",
"Use the left hand for the F and the right hand for the J.",
  "fff jjj fff jj ff jj f j f j\n"
));

append( new DrillLesson( 
"Lesson T1.8: Drill",
"Now intermix them.",
  "ffjj jjff fjf fjf jfj jfj\n"
));

append( new DrillLesson( 
"Lesson T1.9: Drill",
"Use the second finger of the left hand for the D-key.",
  "ddd ddd ddd dd dd dd d d d\n"
));

append( new DrillLesson( 
"Lesson T1.10: Drill",
"Use the second finger of the right hand for the K-key.",
  "kkk kkk kkk kk kk kk k k k\n"
));

append( new DrillLesson( 
"Lesson T1.11: Drill",
"Now both.",
  "ddd kkk dd kk dkd kdk ddd kkk\n"
));

append( new DrillLesson( 
"Lesson T1.12: Drill",
"Use the third fingers of the each hand for the S and L-keys.",
  "sss lll sss lll sss ss ll ss ll s l\n"
));

append( new DrillLesson( 
"Lesson T1.13: Drill",
"Use the fourth fingers for the A and ;-keys.",
  "aaa ;;; aaa ;;; aa ;; aa ;; a ;\n"
));

append( new DrillLesson( 
"Lesson T1.14: Drill",
"That's enough keys for today.  Let's review them.",
  "fff jjj ddd kkk sss lll aaa ;;;\n"
));

append( new DrillLesson( 
"Lesson T1.15: Drill",
"Again.",
  "fff jjj ddd kkk sss lll aaa ;;;\n"
));

append( new DrillLesson( 
"Lesson T1.16: Drill",
"Try mixing them together.",
  "asdf jkl; asdf jkl; asdf jkl;\n"
));

append( new DrillLesson( 
"Lesson T1.17: Drill",
"And still more.",
  "fjf kdk sls ;a;\n"
));

append( new DrillLesson( 
"Lesson T1.18: Drill",
"Before, we finish, let's try some words.",
  "sad add all; alas flask fad\n"
));

append( new DrillLesson( 
"Lesson T1.19: Drill",
"How about a sentence.",
  "ask a sad lad\n"
));

append( new DrillLesson( 
"Lesson T1.20: Drill",
"Sentences are kind of limited with only one vowel!",
  "dad asks a lad; a lass falls\n"
));

append( new TutorialLesson( 
"Lesson T2.1: Tutorial",
  "In this lesson, we will review the letters that you have already practiced\n"
+ "and will add the letters E, G, and H and the period.\n"
+ "\n"
+ "When you reach for any of these keys, be sure to return your finger to its\n"
+ "home position.  For example, to hit the H-key, move the first finger of your\n"
+ "right hand (the J-finger) slightly to the left.  Tap the H-key and immediately\n"
+ "bring your finger back over the J.\n"
+ "\n"
+ "If you lose track of where your fingers are, guess.  Don't look!\n"
));

append( new DrillLesson( 
"Lesson T2.2: Drill",
"First let's review",
  "fff jjj ddd kkk sss lll aaa ;;;\n"
));

append( new DrillLesson( 
"Lesson T2.3: Drill",
"",
  "asdf jkl; fdsa ;lkj\n"
+ "fjf jfj dkd kdk sls lsl a;a ;a;\n"
+ "jkj jlj j;j fdf fsf faf\n"
+ "a sad lass; ask dad;\n"
));

append( new DrillLesson( 
"Lesson T2.4: Drill",
"Use your J-finger for the H key.",
  "jjj jhj jjj jhj jjj jhj\n"
));

append( new DrillLesson( 
"Lesson T2.5: Drill",
"",
  "jjj hhh jjj hhh jj hh j h j h\n"
+ "jjj had jjj ash jjj has jjj\n"
+ "jjj sash jjj hash jjj hall jjj\n"
));

append( new DrillLesson( 
"Lesson T2.6: Drill",
"Use your F-finger for the G-key.",
  "fff fgf fff fgf fff fgf\n"
));

append( new DrillLesson( 
"Lesson T2.7: Drill",
"",
  "fff ggg fff ggg fff ggg\n"
+ "fff gag fff lag fff flag fff\n"
+ "fff sag fff slag fff hag fff\n"
));

append( new DrillLesson( 
"Lesson T2.8: Drill",
"Use your D-finger for the E-key",
  "ddd ded ddd ded ddd ded ddd\n"
));

append( new DrillLesson( 
"Lesson T2.9: Drill",
"",
  "ddd eee ddd eee dd ee dd ee d e\n"
+ "ddd fee ddd see ddd elf ddd\n"
+ "lake asked fake gale egg\n"
));

append( new DrillLesson( 
"Lesson T2.10: Drill",
"Use your K-finger for the comma.",
  "kkk k,k kkk k,k kkk k,k\n"
));

append( new DrillLesson( 
"Lesson T2.11: Drill",
"",
  "kkk ,,, kkk ,,, kkk ,,, kkk\n"
));

append( new DrillLesson( 
"Lesson T2.12: Drill",
"Let's finish with some sentences.",
  "a lad had a flask, dad had a keg\n"
));

append( new DrillLesson( 
"Lesson T2.13: Drill",
"",
  "she had a fake egg, he had a salad\n"
));

append( new DrillLesson( 
"Lesson T3.1: Drill",
"Let's review first.",
  "fff jjj ddd kkk sss lll aaa ;;;\n"
));

append( new DrillLesson( 
"Lesson T3.2: Drill",
"",
  "fgf jhj ded k,k fgf jhj ded k,k\n"
));

append( new DrillLesson( 
"Lesson T3.3: Drill",
"Use your K-finger for the I key.",
  "kkk kik kkk kik kkk iii kkk\n"
));

append( new DrillLesson( 
"Lesson T3.4: Drill",
"",
  "kkk iii kkk iii kk ii kk ii\n"
+ "kkk lid kkk hill kkk did kkk\n"
+ "kkk kill kkk kid kkk like kkk\n"
+ "kkk kiss kkk hide kkk fill kkk\n"
));

append( new DrillLesson( 
"Lesson T3.5: Drill",
"Use your F-finger for the R key.",
  "fff frf fff frf fff frf\n"
));

append( new DrillLesson( 
"Lesson T3.6: Drill",
"",
  "fff rrr fff rrr ff rr ff rr\n"
+ "fff rake fff rag fff her fff\n"
+ "fff red fff read fff rage fff\n"
+ "fff far fff red fff jar fff\n"
));

append( new DrillLesson( 
"Lesson T3.7: Drill",
"",
  "fff fare fff rare fff rake fff\n"
));

append( new DrillLesson( 
"Lesson T3.8: Drill",
"",
  "fff rid fff ire fff fair fff\n"
));

append( new DrillLesson( 
"Lesson T3.9: Drill",
"Use your L-finger for the period.",
  "lll l.l lll l.l lll l.l lll\n"
));

append( new DrillLesson( 
"Lesson T3.10: Drill",
"",
  "lll ... lll ... ll .. ll .. l .\n"
+ "lll adj. lll id. lll\n"
+ "lll eg. lll i.e. lll\n"
));

append( new TutorialLesson( 
"Lesson T3.11: Tutorial",
  "The next key we are going to practice is the right shift key.\n"
+ "\n"
+ "Whenever you want to capitalize a key on the left side, you must use the\n"
+ "right shift-key.  To do so, follow these steps:\n"
+ "\n"
+ "	a.)  Without moving your first finger from the J-key, swing the\n"
+ "	     fourth finger of your right hand over to the SHIFT-key and\n"
+ "	     hold it down.\n"
+ "\n"
+ "	b.)  Strike the key that you want to type with your left hand.\n"
+ "\n"
+ "	c.)  Immediately bring your fourth finger back to the ;-key.\n"
));

append( new DrillLesson( 
"Lesson T3.12: Drill",
"Don't look at your fingers!",
  ";;; ;A; ;;; ;F; ;;; ;D; ;;; ;S;\n"
));

append( new DrillLesson( 
"Lesson T3.13: Drill",
"",
  ";;; Dear ;;; Sir ;;;\n"
));

append( new DrillLesson( 
"Lesson T3.14: Drill",
"",
  ";;; Fred ;;; Gail ;;; Alf ;;; Dale ;;;\n"
));

append( new DrillLesson( 
"Lesson T3.15: Drill",
"",
  ";;; Ada ;;; Al ;;; Greg ;;;\n"
+ "jjj Dr. jjj Sr. jjj Fr. jjj\n"
));

append( new DrillLesson( 
"Lesson T3.16: Drill",
"Let's try some (strange) sentences.",
  "Sir, idle disks seek flags.\n"
));

append( new DrillLesson( 
"Lesson T3.17: Drill",
"",
  "She sells seashells.\n"
+ "Sailfish sail idle seas.\n"
+ "She seeks a fig leaf.\n"
+ "Red hair is like a fire.\n"
));

append( new DrillLesson( 
"Lesson T3.18: Drill",
"Always double space after a period.",
  "A free red jade is fake.  Girls like silk.\n"
));

append( new DrillLesson( 
"Lesson T3.19: Drill",
"",
  "She seeks a safe reef, if she sails.  A gale is rare.\n"
+ "Alf fed her egg salad.  Gail likes hash.\n"
));

append( new DrillLesson( 
"Lesson T4.1: Drill",
"First a quick review:",
  "jkl; fdsa ded fgf jhj k,k kik frf l.l\n"
));

append( new DrillLesson( 
"Lesson T4.2: Drill",
"Use your L-finger for the O-key.",
  "lll lol lll ooo lll lol\n"
));

append( new DrillLesson( 
"Lesson T4.3: Drill",
"",
  "lll log lll rod lll for lll\n"
+ "lll load lll roll lll oleo lll\n"
));

append( new DrillLesson( 
"Lesson T4.4: Drill",
"Use your ;-finger for the P-key.",
  ";;; ;p; ;;; ppp ;;; ;p; ;;;\n"
));

append( new DrillLesson( 
"Lesson T4.5: Drill",
"",
  ";;; pad ;;; peg ;;; ape ;;;\n"
+ ";;; poke ;;; pear ;;; peek ;;;\n"
+ ";;; opera ;;; hope ;;; drape ;;;\n"
));

append( new TutorialLesson( 
"Lesson T4.6: Tutorial",
  "			The Left-Shift key\n"
+ "\n"
+ "To capitalize letters on the right-side of the keyboard:\n"
+ "\n"
+ "	1.)  Move your A-finger to the LEFT-shift key and hold it down.\n"
+ "\n"
+ "	2.)  Strike the key that you want to capitalize with your right hand.\n"
+ "\n"
+ "	3.)  Immediately swing your A-finger back to its home position.\n"
));

append( new DrillLesson( 
"Lesson T4.7: Drill",
"",
  "aaa Pi aaa Lord aaa Jill aaa\n"
));

append( new DrillLesson( 
"Lesson T4.8: Drill",
"Try capitalizing each of the keys on the right-side:",
  "Joe Kip Leif Peg Olaf Ira Heidi\n"
));

append( new DrillLesson( 
"Lesson T4.9: Drill",
"Don't forget to use your right-shift key for letters on the left side:",
  "a;a P.S. a;a I.R.S. a;a\n"
));

append( new DrillLesson( 
"Lesson T4.10: Drill",
"Use your ;-finger for the ?-key.",
  ";;; ;?; ;;; ??? ;;; ;?; ;;;\n"
));

append( new DrillLesson( 
"Lesson T4.11: Drill",
"",
  ";;; He? ;;; She? ;;; I? ;;;\n"
));

append( new DrillLesson( 
"Lesson T4.12: Drill",
"Let's try some sentences.",
  "Dad fell off a ladder.  Is he safe?\n"
));

append( new DrillLesson( 
"Lesson T4.13: Drill",
"Always double space after a question mark.",
  "Is he here?  Sal said he fell hard.\n"
));

append( new DrillLesson( 
"Lesson T4.14: Drill",
"",
  "Did she see his fall?  Jake heard he is OK.\n"
+ "I hope people keep off high ladders.\n"
));

append( new DrillLesson( 
"Lesson T5.1: Drill",
"As always, let's start with a review:",
  "ade fgh ijk lop rs; ?.,\n"
));

append( new DrillLesson( 
"Lesson T5.2: Drill",
"Again.",
  "ade fgh ijk lop rs; ?.,\n"
));

append( new DrillLesson( 
"Lesson T5.3: Drill",
"Use your F-finger for the T-key.",
  "fff ftf fff ttt fff ftf fff\n"
));

append( new DrillLesson( 
"Lesson T5.4: Drill",
"",
  "ftf the ftf top ftf ate ftf\n"
));

append( new DrillLesson( 
"Lesson T5.5: Drill",
"",
  "ftf three ftf often ftf there\n"
));

append( new DrillLesson( 
"Lesson T5.6: Drill",
"",
  "The talk is that those three are threatening her.\n"
));

append( new DrillLesson( 
"Lesson T5.7: Drill",
"Use your J-finger for the N-key.",
  "jjj jnj jjj nnn jjj jnj jjj\n"
));

append( new DrillLesson( 
"Lesson T5.8: Drill",
"",
  "jnj not jnj ton jnj one jnj\n"
+ "jnj neither jnj opening jnj kneeling jnj\n"
+ "No one has an interest in it.\n"
));

append( new DrillLesson( 
"Lesson T5.9: Drill",
"Use your ;-finger for the :-key.",
  ";;; ;:; ;;; ::: ;;; ;:; ;;;\n"
));

append( new DrillLesson( 
"Lesson T5.10: Drill",
"Always double space after a colon.",
  "Dear Sirs:  Dear John:  Dear Alfred:\n"
));

append( new DrillLesson( 
"Lesson T5.11: Drill",
"",
  "Dear Dr. Stone:  To Heathkit:\n"
));

append( new TutorialLesson( 
"Lesson T5.12: Tutorial",
  "			Speed Exercises\n"
+ "\n"
+ "From now on, I will be mixing speed exercises in with the lessons.\n"
+ "\n"
+ "I time you as you type an exercise; in speed exercises, you should take note of\n"
+ "your speed, and aim to increase it.  At the end of an exercise, I will calculate\n"
+ "your typing speed and convert in into words per minute (WPM).  I will also\n"
+ "count each of the mistakes you make and display the total number of errors.\n"
+ "\n"
+ "If you make a mistake, I will show this with an error character in place of\n"
+ "the character you should have typed.  Just keep going and try to make as few\n"
+ "errors as possible.\n"
));

append( new ParagraphLesson( 
"Lesson T5.13: Speed Test",
"Try this sentence:",
  "Sarah has liked knitting all her life.\n"
));

append( new ParagraphLesson( 
"Lesson T5.14: Speed Test",
"Try a little longer sentence.",
  "She looked past her garden to the fields and longed to see the other side.\n"
));

append( new ParagraphLesson( 
"Lesson T5.15: Speed Test",
"Hit RETURN at the end of each line in a paragraph.",
  "All the sane people in this area sold their gold\n"
+ "right at the start.  The insane ones held their\n"
+ "gold and later it paid off.\n"
));

append( new ParagraphLesson( 
"Lesson T5.16: Speed Test",
"",
  "One fine afternoon the king had an idea.  He\n"
+ "sent a letter to all the lords and ladies of\n"
+ "his land.  He asked for a great feast.  His\n"
+ "people prepared roasts.  His jester did a jig.\n"
+ "All the people left hoping to do it again.\n"
));

append( new DrillLesson( 
"Lesson T6.1: Drill",
"Let's review the letters we've already learned.",
  "jkj fdf jlj fsf j;j faf kik ded frf\n"
));

append( new DrillLesson( 
"Lesson T6.2: Drill",
"",
  "fgf jhj k,k l.l A;A F;F E;E\n"
+ "lol ;p; JaJ :a: ftf jnj ;:;\n"
+ "jug ton knot poison the neither often\n"
));

append( new DrillLesson( 
"Lesson T6.3: Drill",
"Use your F-finger for the B-key.",
  "fff fbf fff bbb fff fbf fff\n"
));

append( new DrillLesson( 
"Lesson T6.4: Drill",
"The B-key is the longest reach we've seen so far.  Let's try it again.",
  "fff fbf fff bbb fff fbf fff\n"
));

append( new DrillLesson( 
"Lesson T6.5: Drill",
"",
  "frf bar frf rib frf pub frf\n"
+ "frf bring frf abort frf brother frf\n"
));

append( new DrillLesson( 
"Lesson T6.6: Drill",
"Use your J-finger for the U-key.",
  "jjj juj jjj uuu jjj juj jjj\n"
));

append( new DrillLesson( 
"Lesson T6.7: Drill",
"",
  "juj jug juj use juj hug juj\n"
+ "juj tulip juj turn juj under juj\n"
+ "Please pass the butter and salt, but not the pepper.\n"
));

append( new DrillLesson( 
"Lesson T6.8: Drill",
"Use your ;-finger for the /-key.",
  ";;; ;/; ;;; /// ;;; ;/; ;;;\n"
));

append( new DrillLesson( 
"Lesson T6.9: Drill",
"",
  ";/; n/a ;/; and/or ;/; left/right\n"
+ "In this era of E.R.A., I hope he/she likes his/her job.\n"
+ "He/she should bring his/her spouse at about noon or just before.\n"
+ "Should I be here alone?  Is Bernie and/or Julie going to be here, too?\n"
));

append( new ParagraphLesson( 
"Lesson T6.10: Speed Test",
"Try your speed on some paragraphs:",
  "All bills are to be paid in full.  If\n"
+ "there is no fee to be paid, return the\n"
+ "bill and put n/a in the total due part.\n"
));

append( new ParagraphLesson( 
"Lesson T6.11: Speed Test",
"You should be aiming for 15 WPM.  If you do better, work on accuracy.",
  "In baseball, bunting is a kind of hit.  But, bunting also\n"
+ "refers to a kind of bird and the stuff that is used in\n"
+ "flags.  English sure is a strange language.\n"
));

append( new DrillLesson( 
"Lesson T7.1: Drill",
"First a review of the letters we've learned before:",
  "juj ded kik frf lol fgf ;p; jhj\n"
));

append( new DrillLesson( 
"Lesson T7.2: Drill",
"",
  "ftf jnj ftf jnj fbf juj ;?; l.l k,k\n"
));

append( new DrillLesson( 
"Lesson T7.3: Drill",
"Use your D-finger for the C-key.",
  "ddd dcd ddd ccc ddd dcd\n"
));

append( new DrillLesson( 
"Lesson T7.4: Drill",
"",
  "ddd cat ddd cup ddd can\n"
+ "dcd duck dcd card dcd pack dcd\n"
+ "dcd crate dcd scrap dcd trick dcd\n"
));

append( new DrillLesson( 
"Lesson T7.5: Drill",
"Use your J-finger for the M-key",
  "jjj jmj jjj mmm jjj jmj jjj\n"
));

append( new DrillLesson( 
"Lesson T7.6: Drill",
"",
  "jjj met jjj rim jjj map jjj\n"
+ "jmj man jmj men jmj ham jjj\n"
+ "jmj Mr. jmj Mrs. jmj Ms. jmj\n"
+ "jmj number jmj stream jmj mankind jmj\n"
));

append( new DrillLesson( 
"Lesson T7.7: Drill",
"Use your ;-finger for the hyphen.",
  ";;; ;-; ;;; --- ;;; ;-; ;;; ;-;\n"
));

append( new DrillLesson( 
"Lesson T7.8: Drill",
"",
  ";;; one-third ;;; one-half ;;; three-fifths ;;;\n"
+ ";;; part-time ;;; self-made ;;; all-American ;;;\n"
));

append( new DrillLesson( 
"Lesson T7.9: Drill",
"Let's try some sentences:",
  "Peter Piper picked a peck of pickled peppers.\n"
));

append( new DrillLesson( 
"Lesson T7.10: Drill",
"",
  "Motion pictures often depict macabre scenes.\n"
));

append( new DrillLesson( 
"Lesson T7.11: Drill",
"",
  "Once upon a time, marriages lasted longer than mortgages.\n"
));

append( new DrillLesson( 
"Lesson T7.12: Drill",
"There are three uses of the hyphen.  It can be used to combine two words:",
  "She had on a bluish-green dress.  But, no one noticed.\n"
));

append( new DrillLesson( 
"Lesson T7.13: Drill",
"To divide a word:",
  "At macrame class last night, I made a hanging basket for the philo-\n"
+ "dendron in our dining room.\n"
));

append( new DrillLesson( 
"Lesson T7.14: Drill",
"Or, to form a dash:",
  "Fifteen dollars a month--measured in current dollars--is a good rate.\n"
));

append( new ParagraphLesson( 
"Lesson T7.15: Speed Test",
"Let's try a speed drill on these sentences:",
  "The clock ran out, signaling the end of\n"
+ "the second-half.  The game had been lost.\n"
));

append( new ParagraphLesson( 
"Lesson T7.16: Speed Test",
"Another speed drill:",
  "The paper just made an announce-\n"
+ "ment about a commotion at the\n"
+ "college.  Someone has just\n"
+ "produced a micro-organism in the\n"
+ "DNA-research lab.  It is a\n"
+ "special kind of bacteria that\n"
+ "consumes crude oil.  The talk is\n"
+ "that it is being patented for use\n"
+ "on oil spills at sea.\n"
));

append( new ParagraphLesson( 
"Lesson T7.17: Speed Test",
"A speed drill with blank lines:",
  "Dear Mr. Mandrake:\n"
+ "\n"
+ "All of us appreciated the fine performance of those magic\n"
+ "tricks.  Please arrange to come to another of our meet-\n"
+ "ings, if possible.  Perhaps our Christmas meeting?\n"
+ "\n"
+ "Thanks,\n"
+ "\n"
+ "Mrs. Carmichael\n"
));

append( new DrillLesson( 
"Lesson T8.1: Drill",
"As always, we will start with a quick review",
  "jfj dkd lsl a;a dcd jmj ;-; fbf juj\n"
));

append( new DrillLesson( 
"Lesson T8.2: Drill",
"Let's try some long words.",
  "meteorology camera bituminous chimera phosphates\n"
));

append( new DrillLesson( 
"Lesson T8.3: Drill",
"Use your S-finger for the W-key.",
  "sss sws sss www sss sws sss\n"
));

append( new DrillLesson( 
"Lesson T8.4: Drill",
"",
  "sss wet sss who sss was sss\n"
));

append( new DrillLesson( 
"Lesson T8.5: Drill",
"",
  "sws who sws what sws when sws where sws\n"
+ "knowledge whatever Wimbledon know-it-all\n"
));

append( new ParagraphLesson( 
"Lesson T8.6: Speed Test",
"",
  "How much wood could a woodchuck chuck if a\n"
+ "woodchuck could chuck wood?  A woodchuck\n"
+ "would chuck all the wood that a woodchuck\n"
+ "could chuck, if a woodchuck could chuck wood.\n"
));

append( new DrillLesson( 
"Lesson T8.7: Drill",
"Use your J-finger for the Y-key.",
  "jjj jyj jjj yyy jjj jyj jjj\n"
));

append( new DrillLesson( 
"Lesson T8.8: Drill",
"",
  "jjj why jjj you jjj try jjj rye jjj\n"
+ "jjj year jjj July jjj your jjj jury jjj\n"
+ "Were your yard sales much better last year?\n"
));

append( new ParagraphLesson( 
"Lesson T8.9: Speed Test",
"Try your speed on this sentence:",
  "Why are you typing so slowly?\n"
));

append( new DrillLesson( 
"Lesson T8.10: Drill",
"Use your F-finger for the V-key.",
  "fff fvf fff vvv fff fvf fff\n"
));

append( new DrillLesson( 
"Lesson T8.11: Drill",
"",
  "fff vat fff eve fff vow fff\n"
));

append( new DrillLesson( 
"Lesson T8.12: Drill",
"",
  "fvf vine fvf dove fvf ever fvf very fvf\n"
));

append( new DrillLesson( 
"Lesson T8.13: Drill",
"",
  "driven vertical advent ventricle\n"
+ "What a fine vineyard you have.\n"
+ "Do you intend to play adventure every night?\n"
));

append( new TutorialLesson( 
"Lesson T8.14: Tutorial",
  "			The Backspace\n"
+ "\n"
+ "Most of the programs that you use will allow you to correct your mistakes by\n"
+ "using the BACKSPACE and/or DELETE keys.  These keys will generally delete the\n"
+ "previous character that you typed.  This feature is one of the principal\n"
+ "advantages of a word-processing system over a conventional typewriter.\n"
+ "\n"
+ "I refuse to accept either of these keys during a drill pattern.  (You should\n"
+ "keep practicing until you get it right!)  But, I will accept either a BACK-\n"
+ "SPACE or a DELETE during a speed drill.  I will remove the error characters\n"
+ "but I still count it as an error in my totals.\n"
+ "\n"
+ "If you do chose to use the DELETE or BACKSPACE keys, hit the key with your\n"
+ ";-finger and immediately return your fingers to the home position.\n"
));

append( new ParagraphLesson( 
"Lesson T8.15: Speed Test",
"Let's try our speed on some nursery rhymes!",
  "Mary had a little lamb\n"
+ "Its fleece was white as snow\n"
+ "And every where that Mary went\n"
+ "The lamb was sure to go.\n"
));

append( new ParagraphLesson( 
"Lesson T8.16: Speed Test",
"",
  "Jack and Jill went up a hill to fetch a pail of water.\n"
+ "Jack fell down and broke his crown and Jill came tumbling after.\n"
));

append( new ParagraphLesson( 
"Lesson T8.17: Speed Test",
"",
  "Little Miss Muffet sat on a tuffet\n"
+ "Eating her curds and whey.\n"
+ "Along came a spider\n"
+ "Who sat down beside her\n"
+ "And frightened Miss Muffet away.\n"
));

append( new ParagraphLesson( 
"Lesson T8.18: Speed Test",
"",
  "Hey, diddle diddle--\n"
+ "The cat and the fiddle\n"
+ "The cow jumped over the moon.\n"
+ "The little dog laughed to see such sport,\n"
+ "And the dish ran away with the spoon.\n"
));

append( new DrillLesson( 
"Lesson T9.1: Drill",
"First, a review.",
  "a;a sls dkd fjf sws jyj fvf dcd jmj ;-;\n"
));

append( new DrillLesson( 
"Lesson T9.2: Drill",
"Notice that the only letters left to go are the Q, X, and Z!",
  "abcdefghijklmnoprstuvwy\n"
));

append( new DrillLesson( 
"Lesson T9.3: Drill",
"Use your A-finger for the Q-key.",
  "aaa aqa aaa qqq aaa aqa aaa\n"
));

append( new DrillLesson( 
"Lesson T9.4: Drill",
"",
  "aaa quit aaa quad aaa quip aaa\n"
+ "lacquer inquiry squirt quart\n"
+ "quail quiver inquest marquis\n"
));

append( new DrillLesson( 
"Lesson T9.5: Drill",
"Use your S-finger for the X-key.",
  "sss sxs sss xxx sss sxs sss\n"
));

append( new DrillLesson( 
"Lesson T9.6: Drill",
"",
  "sss ax sss ox sss vex sss wax xxx\n"
+ "examine ex-wife excellent boxer sixteen\n"
+ "exactly sphinx oxygen except thorax\n"
));

append( new DrillLesson( 
"Lesson T9.7: Drill",
"Use your A-finger for the Z-key.",
  "aaa aza aaa zzz aaa aza aaa\n"
));

append( new DrillLesson( 
"Lesson T9.8: Drill",
"",
  "aaa adz aaa azo aaa coz aaa\n"
+ "quiz jazz quartz zinc dozen\n"
+ "oxidize squeeze azimuth zoology\n"
));

append( new DrillLesson( 
"Lesson T9.9: Drill",
"The big event!!!!!!!!!!!!!!!!!!",
  "abcdefghijklmnopqrstuvwxyz\n"
+ "zyxwvutsrqponmlkjihgfedcba\n"
));

append( new DrillLesson( 
"Lesson T9.10: Drill",
"Let's try some sentences:",
  "A dozen zebras were grazing quietly nearby.\n"
));

append( new DrillLesson( 
"Lesson T9.11: Drill",
"",
  "The zeppelin zigzagged quickly from the horizon up to the zenith.\n"
));

append( new DrillLesson( 
"Lesson T9.12: Drill",
"",
  "Never trust a quack doctor who cannot distinguish oxygen from nitrogen.\n"
));

append( new DrillLesson( 
"Lesson T9.13: Drill",
"",
  "Imagine having a sextet of sexagenarian sextons?\n"
));

append( new DrillLesson( 
"Lesson T9.14: Drill",
"",
  "Remember when queer used to mean zany?\n"
+ "Quartz crystal watches were at one time extremely expensive.\n"
));

append( new DrillLesson( 
"Lesson T9.15: Drill",
"Let's try a sentence that contains every letter of the alphabet.",
  "A quick brown fox jumped over the lazy dogs.\n"
));

append( new DrillLesson( 
"Lesson T9.16: Drill",
"Again,",
  "A quick brown fox jumped over the lazy dogs.\n"
));

append( new ParagraphLesson( 
"Lesson T9.17: Speed Test",
"See how fast you can type it this time:",
  "A quick brown fox jumped over the lazy dogs.\n"
));

append( new ParagraphLesson( 
"Lesson T9.18: Speed Test",
"Again,",
  "A quick brown fox jumped over the lazy dogs.\n"
));

append( new DrillLesson( 
"Lesson T10.1: Drill",
"Let's review the entire alphabet before starting the number keys.",
  "abcd efg hijk lmnop qrs tuv wx yz\n"
));

append( new DrillLesson( 
"Lesson T10.2: Drill",
"Once more",
  "abcdefghijklmnopqrstuvwxyz\n"
));

append( new DrillLesson( 
"Lesson T10.3: Drill",
"Use the shift key for each letter (Do not use the CAPS LOCK key)",
  "ABCDEFGHIJKLMNOPQRSTUVWXYZ\n"
));

append( new DrillLesson( 
"Lesson T10.4: Drill",
"Now, review the punctuations that you've had.",
  "l;l l:l k,k l.l ;/; ;?; :?: ;-;\n"
));

append( new TutorialLesson( 
"Lesson T10.5: Tutorial",
  "			Numeric Keys\n"
+ "\n"
+ "The computer has two sets of numeric keys.  One set--directly above the\n"
+ "alphabetic keys--conforms to the standard for typewriter keyboards.  The other\n"
+ "set--to your right--resembles a calculator keypad.  In this typing series we\n"
+ "will be concerned only with the standard numeric keys on the main keyboard.\n"
+ "If you would like to learn to touch type on a numeric keypad, use the N-series\n"
+ "lessons instead.\n"
+ "\n"
+ "The numeric keys are in the same place on almost every keyboard that you are\n"
+ "likely to encounter.  The only possible exception is on some very old type-\n"
+ "writers, which may lack a 1 key.  If this is the case on any keyboard you come\n"
+ "across, you will have to use the L-key in place of the 1.\n"
+ "\n"
+ "This lesson series contains a few exercises that ask you to type this way, using\n"
+ "the L-key in place of 1.  Unless you specifically need to do this, you should\n"
+ "probably skip these exercises.\n"
));

append( new DrillLesson( 
"Lesson T10.6: Drill",
"Let's start by using the 1-key, since we have one.  Use your A-finger.",
  "aaa a1a aaa 111 aaa a1a\n"
));

append( new DrillLesson( 
"Lesson T10.7: Drill",
"",
  "a1q qa1 qz1 az1 aq1 a1z\n"
+ "111 and 111 ate 111 any 111\n"
+ "If 11 men each catch 11 fish in 11 days, how many fish were caught?\n"
));

append( new DrillLesson( 
"Lesson T10.8: Drill",
"Use your S-finger for the 2-key.",
  "sss s2s sss s2s sss s2s\n"
));

append( new DrillLesson( 
"Lesson T10.9: Drill",
"",
  "sss s2w sss 2xw sss w2x sss\n"
+ "222 saw 222 was 222 wet 222\n"
+ "The 2 men were 2 late 2 catch the 2 PM train.\n"
));

append( new DrillLesson( 
"Lesson T10.10: Drill",
"Use your D-finger for the 3-key.",
  "ddd d3d ddd d3d ddd d3d ddd\n"
));

append( new DrillLesson( 
"Lesson T10.11: Drill",
"",
  "ddd d3e ddd d3c ddd e3c ddd\n"
+ "333 did 333 cat 333 eat 333\n"
+ "1 plus 2 is 3.  11 plus 22 is 33.  111 plus 222 is 333.\n"
));

append( new DrillLesson( 
"Lesson T10.12: Drill",
"The last number we will practice today is the 4-key.  (Use your F-finger.)",
  "fff f4f fff f4f fff f4f\n"
));

append( new DrillLesson( 
"Lesson T10.13: Drill",
"",
  "fff f4r fff 4vr fff 4vr fff\n"
+ "444 for fff rat 444 vet 444\n"
+ "Flight 423 leaves from gate 42 at 4:24.\n"
+ "As the 3 musketeers say: 1 4 all, and all 4 1.\n"
+ "If 1/4 plus 2/3 is 11/12, what is 1/2 plus 1/3?\n"
));

append( new ParagraphLesson( 
"Lesson T10.14: Speed Test",
"Try your speed on this line:",
  "Our team won 1st, 2nd, and 3rd place at the 12th annual outing.\n"
));

append( new DrillLesson( 
"Lesson T10.15: Drill",
"Old typewriters may not have a 1 key; here we use the L-key as a 1.",
  "One dozen is l2.  A gross is l2 dozen or l44.\n"
));

append( new DrillLesson( 
"Lesson T10.16: Drill",
"Again, using the L-key as a 1.  You may want to skip this exercise.",
  "In both octal and decimal, ll times ll is l2l.  And, 3 minus 4 is -l.\n"
+ "But in octal, l2 is not divisible by 3.\n"
));

append( new DrillLesson( 
"Lesson T11.1: Drill",
"Let's review the numbers that you have already learned.",
  "a1a s2s d3d f4f 234 413\n"
));

append( new DrillLesson( 
"Lesson T11.2: Drill",
"",
  "f4r d3e s2w a1q az1 sx2 dc3 fv4\n"
));

append( new DrillLesson( 
"Lesson T11.3: Drill",
"Use your J-finger for the 7-key",
  "jjj j7j jjj j7j jjj j7j jjj\n"
));

append( new DrillLesson( 
"Lesson T11.4: Drill",
"",
  "jjj j7u jjj 7um jjj u7m jjj\n"
+ "777 map 777 jug 777 rum 777\n"
+ "Is flight number 377 for Florida a 707, a 727 or a 747?\n"
+ "It is a 727 with 4 stops.  With all those stops it takes almost 7 hours.\n"
));

append( new DrillLesson( 
"Lesson T11.5: Drill",
"Use your K-finger for the 8-key.",
  "kkk k8k kkk k8k kkk k8k kkk\n"
));

append( new DrillLesson( 
"Lesson T11.6: Drill",
"",
  "kkk k8i kkk 8,i kkk ,i8 kkk\n"
+ "888 kick 888 sink 888 keep 888\n"
+ "Agent 88 was supposed to check in at 8:14.  She is 38 minutes late.\n"
+ "Her team was assigned to zone 8 of quadrant 828.  Send 8 more agents.\n"
));

append( new DrillLesson( 
"Lesson T11.7: Drill",
"Use your L-finger for the 9-key.",
  "lll l9l lll l9l lll l9l lll\n"
));

append( new DrillLesson( 
"Lesson T11.8: Drill",
"",
  "lll 9.o lll o9. lll l9. lll\n"
+ "999 Jr. 999 log 999 old 999\n"
+ "Oh, 99 bottles of beer on the wall, 99 bottles of beer.\n"
+ "If 9 of us take 9 each, there will still be 18 left for the song.\n"
));

append( new DrillLesson( 
"Lesson T11.9: Drill",
"Use your ;-finger for the 0-key.",
  ";;; ;0; ;;; ;0; ;;; ;0; ;;;\n"
));

append( new DrillLesson( 
"Lesson T11.10: Drill",
"",
  ";;; ;0p ;;; /0p ;;; 0/p ;;;\n"
+ "000 a/c 000 pup 000 me? 000\n"
+ "Dear Sirs:  The 10:00 meeting on March 10 has been postponed until 10:30.\n"
+ "The 10:30 meeting was moved to 11:00 in Room 302.\n"
+ "But, Room 302 can only hold 10 people.  We will need Conference Room 10.\n"
));

append( new ParagraphLesson( 
"Lesson T11.11: Speed Test",
"Let's try some paragraphs.",
  "Zip codes are arranged so that the first 3 digits\n"
+ "designate the regional office and the last 2\n"
+ "digits designate the local branch.  The numbering\n"
+ "is roughly east to west.  That is, numbers\n"
+ "starting with 0 are in New England, numbers\n"
+ "starting with 1 are the New York area, etc.\n"
+ "There are notable exceptions to this rule,\n"
+ "however.  The Virgin Islands are south of\n"
+ "Florida, but their Zip Codes start with 00.\n"
));

append( new ParagraphLesson( 
"Lesson T11.12: Speed Test",
"",
  "The new nine digit zip codes have upset quite a\n"
+ "few people.  It was bad enough being referred to\n"
+ "as 73218.  But now, we will have to remember\n"
+ "numbers like 73218-4208.  The worst hit will be\n"
+ "the companies whose mailing list programs were\n"
+ "poorly designed.  Those unstructured programs\n"
+ "will be very difficult to change.\n"
));

append( new DrillLesson( 
"Lesson T12.1: Drill",
"Let's review the numbers that you have learned so far.",
  "j7j f4f k8k d3d l9l s2s ;0; a1a\n"
));

append( new DrillLesson( 
"Lesson T12.2: Drill",
"",
  "4f4 7j7 3d3 8k8 2s2 9l9 1a1 0;0\n"
));

append( new DrillLesson( 
"Lesson T12.3: Drill",
"Use your F-finger for the 5-key.",
  "fff f5f fff 555 fff f5f fff\n"
));

append( new DrillLesson( 
"Lesson T12.4: Drill",
"",
  "f5f f54 f5f t5g f5f t5r f5f\n"
+ "f5f five f5f two f5f four f5f\n"
+ "f5f 453 f5f 585 f5f 475 f5f\n"
));

append( new ParagraphLesson( 
"Lesson T12.5: Speed Test",
"",
  "The 5 of us each carried 50 pound packs all 45 miles of the trip.\n"
));

append( new DrillLesson( 
"Lesson T12.6: Drill",
"And now, the longest reach of all!  Use your J-finger for the 6-key.",
  "jjj j6j jjj 666 jjj j6j jjj\n"
));

append( new DrillLesson( 
"Lesson T12.7: Drill",
"",
  "j6j June j6j much j6j hum j6j\n"
+ "j6j y6n j6j u6m j6j h76 j6j\n"
+ "j6j 4567 j6j 7654 j6j 6754 j6j\n"
));

append( new DrillLesson( 
"Lesson T12.8: Drill",
"The open parenthesis is the shift of the 9-key.  Use your L-finger.",
  "lll l(l lll ((( lll l(l lll\n"
));

append( new DrillLesson( 
"Lesson T12.9: Drill",
"",
  "l(l (.l l(l 9(9 l(l\n"
));

append( new DrillLesson( 
"Lesson T12.10: Drill",
"",
  "l(l loop l(l oil l(l only l(l\n"
));

append( new DrillLesson( 
"Lesson T12.11: Drill",
"The close parenthesis is the shift of the 0-key.  Use your ;-finger.",
  ";;; ;); ;;; ;); ;;; ;);\n"
));

append( new DrillLesson( 
"Lesson T12.12: Drill",
"",
  ";;; (.) ;;; (.) ;;; (,) ;;;\n"
+ ";); pole ;); loop ;); pile ;);\n"
));

append( new DrillLesson( 
"Lesson T12.13: Drill",
"",
  "You (the buyer) should ask him (the seller) for the price (of the goods).\n"
));

append( new DrillLesson( 
"Lesson T12.14: Drill",
"",
  "If (X-5) / (X-6) is 56, then what is (X/5) - (X/6)?\n"
));

append( new DrillLesson( 
"Lesson T12.15: Drill",
"",
  "1 2 3 4 5 6 7 8 9 10\n"
));

append( new ParagraphLesson( 
"Lesson T12.16: Speed Test",
"Try your speed on this song.",
  "1 little, 2 little, 3 little Indians,\n"
+ "4 little, 5 little, 6 little Indians,\n"
+ "7 little, 8 little, 9 little Indians,\n"
+ "10 little Indian boys.\n"
));

append( new ParagraphLesson( 
"Lesson T12.17: Speed Test",
"",
  "If we want to catch the 6:15 flight to Phoenix (which is the\n"
+ "non-stop), we will have to leave by 5:00 at the latest (in\n"
+ "case we run into traffic).  Otherwise, we will have to take\n"
+ "the 6:45 flight (which makes 5 stops).\n"
));

append( new DrillLesson( 
"Lesson T12.18: Drill",
"Use the main keyboard keys.  Try entering straight numbers: ",
  "423 475 925 235 295 175 650\n"
));

append( new DrillLesson( 
"Lesson T12.19: Drill",
"",
  "598 693 602 672 315 604 587 307\n"
));

append( new DrillLesson( 
"Lesson T12.20: Drill",
"",
  "12.00 67.50 99.95 38.75 19.99\n"
));

append( new ParagraphLesson( 
"Lesson T12.21: Speed Test",
"Now let's try for some speed.",
  "353 648 604 592 468 501 296\n"
));

append( new ParagraphLesson( 
"Lesson T12.22: Speed Test",
"",
  "3574\n"
+ "1937\n"
+ "2586\n"
+ "1904\n"
+ "1837\n"
+ "9003\n"
+ "7283\n"
+ "6745\n"
));

append( new TutorialLesson( 
"Lesson T13.1: Tutorial",
  "There is no Lesson 13!  Don't you know that 13 is an unlucky number?\n"
+ "\n"
+ "If you have completed Lessons T1 through T12, then you are now ready\n"
+ "to call yourself a touch typist.  You have learned to touch type all\n"
+ "of the keys which are standardized!  You can now begin the S-series\n"
+ "of lessons if you would like.  (If you come across a punctuation symbol\n"
+ "which you have not learned, simply look for it.  Use the appropriate finger\n"
+ "for the shifted numeric keys.  Use your ;-finger for all the keys on the\n"
+ "right-hand side.)\n"
+ "\n"
+ "We will practice touch typing on the keyboard layout for the remaining\n"
+ "lessons.\n"
));

append( new DrillLesson( 
"Lesson T14.1: Drill",
"Use your ;-finger for the apostrophe.",
  ";;; ;'; ;;; ''' ;;; ;'; ;;;\n"
));

append( new DrillLesson( 
"Lesson T14.2: Drill",
"",
  ";'; it's ;'; 'till ;'; won't ;';\n"
));

append( new DrillLesson( 
"Lesson T14.3: Drill",
"",
  ";'; 'tis ;'; isn't ;'; 'tis too ;';\n"
+ "What's this I've got?  Isn't this yesterday's paper?  Where's today's?\n"
+ "Can't you find anything?  It's right next to Dad's chair.\n"
));

append( new DrillLesson( 
"Lesson T14.4: Drill",
"Shift the apostrophe for the quote key.",
  ";;; ;\"; ;;; \"\"\" ;;; ;\"; ;;;\n"
));

append( new DrillLesson( 
"Lesson T14.5: Drill",
"",
  ";\"; \".\" ;\"; \":\" ;\"; \",\" ;\";\n"
+ "\"What was that I saw you take from the teacher desk?\" asked Tom.\n"
+ "\"It's the answers to tomorrow's quiz\", answered Suzy.\n"
+ "\"If you promise not to tell,\" she continued, \"I'll give you a copy.\"\n"
));

append( new DrillLesson( 
"Lesson T14.6: Drill",
"Use your A-finger for the exclamation point.",
  "aaa a!a aaa !!! aaa a!a aaa\n"
));

append( new DrillLesson( 
"Lesson T14.7: Drill",
"",
  "a!a Ah! a!a What! a!a Oh! a!a\n"
));

append( new DrillLesson( 
"Lesson T14.8: Drill",
"Always double space after an exclamation point.",
  "Tomorrow's quiz!  What if we get caught?  We'll be expelled!\n"
));

append( new DrillLesson( 
"Lesson T14.9: Drill",
"",
  "He'll never suspect a thing!  We'll get some answers wrong to fool him.\n"
));

append( new TutorialLesson( 
"Lesson T15.1: Tutorial",
  "In this lesson we will be practicing the special symbols which you will need\n"
+ "for BASIC or other programming languages.  I won't give you too much practice\n"
+ "with these symbols right now.  You should be able to get plenty of exercise by\n"
+ "simply typing in programs.\n"
));

append( new DrillLesson( 
"Lesson T15.2: Drill",
"Use your ;-finger for the equals key.",
  ";;; ;=; ;;; ;=; ;;; ;=; ;;;\n"
));

append( new DrillLesson( 
"Lesson T15.3: Drill",
"",
  ";=; -=- ;=; '=' ;=; :=: ;=;\n"
+ ";=; X=2 ;=; Y=3 ;=; Z=0 ;=;\n"
));

append( new DrillLesson( 
"Lesson T15.4: Drill",
"Use your K-finger for the asterisk key.",
  "kkk k*k kkk k*k kkk k*k kkk\n"
));

append( new DrillLesson( 
"Lesson T15.5: Drill",
"",
  "k*k 3*2 k*k 5*6 k*k 9*7 k*k\n"
+ "k*k i*i k*k *,* k*k 8*8 k*k\n"
));

append( new DrillLesson( 
"Lesson T15.6: Drill",
"Use your ;-finger for the plus sign.",
  ";;; ;+; ;;; ;+; ;;; ;+; ;;;\n"
));

append( new DrillLesson( 
"Lesson T15.7: Drill",
"",
  ";+; 2+4 ;+; 7+5 ;+; 8+0 ;+;\n"
+ ";+; +=+ ;+; -+- ;+; /+/ ;+;\n"
));

append( new DrillLesson( 
"Lesson T15.8: Drill",
"Use your L-finger for the greater-than key.",
  "lll l>l lll l>l lll l>l lll\n"
));

append( new DrillLesson( 
"Lesson T15.9: Drill",
"",
  "l>l X>3 l>l Y>7 l>l Z>0 l>l\n"
+ "l>l >>> l>l 9>9 l>l .>. l>l\n"
));

append( new DrillLesson( 
"Lesson T15.10: Drill",
"Use your K-finger for the less-than key.",
  "kkk k<k kkk k<k kkk k<k kkk\n"
));

append( new DrillLesson( 
"Lesson T15.11: Drill",
"",
  "k<k X<0 k<k Y<2 k<k Z<8 k<k\n"
+ "k<k <.> k<k >.< k<k <<< k<k\n"
));

append( new DrillLesson( 
"Lesson T15.12: Drill",
"Use your J-finger for the up-arrow key.",
  "jjj j^j jjj ^^^ jjj j^j jjj\n"
));

append( new DrillLesson( 
"Lesson T15.13: Drill",
"",
  "j^j X^2 j^j Y^3 j^j Z^4 j^j\n"
+ "j^j <^> j^j .^. j^j \"^\" j^j\n"
));

append( new ParagraphLesson( 
"Lesson T15.14: Speed Test",
"Try entering this BASIC program:",
  "10 LET x=10\n"
+ "20 LET y=20\n"
+ "30 PRINT x+y/3\n"
+ "40 PRINT y/x*5\n"
+ "50 STOP\n"
));

append( new ParagraphLesson( 
"Lesson T15.15: Speed Test",
"And another:",
  "10 REM Program to find square roots with using ^.5 feature\n"
+ "20 INPUT \"What number do you want the square root of? \";s\n"
+ "30 x = 2\n"
+ "40 y = s/x\n"
+ "50 x = (x+y)/2\n"
+ "60 IF ABS(x^2 - s) > s/1000 THEN 40\n"
+ "70 PRINT \"The square root of \";s;\" is \";x\n"
+ "80 STOP\n"
));

append( new ParagraphLesson( 
"Lesson T15.16: Speed Test",
"Press down the CAPS LOCK key to simplify typing in this BASIC program:",
  "100 REM PROGRAM TO SOLVE QUADRATIC EQUATION\n"
+ "125 PRINT \"ENTER THE VALUES OF A, B, AND C WHERE:\"\n"
+ "150 PRINT\n"
+ "175 PRINT \"AX^2 + BX + C = 0\"\n"
+ "200 INPUT A,B,C\n"
+ "210 IF A = 0 THEN 400\n"
+ "225 D = B^2 - 4*A*C\n"
+ "250 IF D < 0 THEN 500\n"
+ "275 PRINT \"ONE ROOT IS: \";-B+SQR(D)/2/A\n"
+ "300 PRINT \"THE OTHER IS: \";-B-SQR(D)/2/A\n"
+ "325 STOP\n"
+ "400 PRINT \"NOT A QUADRATIC.  TRY AGAIN.\"\n"
+ "425 GOTO 100\n"
+ "500 PRINT \"COMPLEX ROOTS.  TRY AGAIN.\"\n"
+ "525 GOTO 125\n"
));

append( new TutorialLesson( 
"Lesson T16.1: Tutorial",
  "In this lesson we will be practicing the shifted numeric keys on the keyboard.\n"
+ "I will only be giving you practice in the keystroke motions.  Very few sentence\n"
+ "drills or speed exercises are included, since these keys are used so in-\n"
+ "frequently.\n"
+ "\n"
+ "If you are typing something which includes one of these special characters and\n"
+ "you cannot remember where a key is, look.  But, always make sure to hit the key\n"
+ "with the correct finger.  If you do use the key often, you will eventually\n"
+ "learn where it is without looking.  Since these keys are used infrequently and\n"
+ "may be in different places on most other keyboards, or even totally missing,\n"
+ "speed is not important.\n"
));

append( new DrillLesson( 
"Lesson T16.2: Drill",
"Use your S-finger for the at-sign.",
  "sss s@s sss s@s sss s@s sss\n"
));

append( new DrillLesson( 
"Lesson T16.3: Drill",
"",
  "s@s at@ s@s w@x s@s S@w s@s\n"
+ "s@s wax s@s mix s@s @we s@s\n"
));

append( new DrillLesson( 
"Lesson T16.4: Drill",
"Use your D-finger for the pound-sign (also called the number-sign).",
  "ddd d#d ddd d#d ddd d#d ddd\n"
));

append( new DrillLesson( 
"Lesson T16.5: Drill",
"",
  "d#d d#e d#d 3#c d#d #c# d#d\n"
+ "d#d cat d#d dog d#d eat d#d\n"
));

append( new DrillLesson( 
"Lesson T16.6: Drill",
"Use your F-finger for the dollar-sign.",
  "fff f$f fff f$f fff f$f fff\n"
));

append( new DrillLesson( 
"Lesson T16.7: Drill",
"",
  "f$f r$v f$f v$4 f$f 4$r f$f\n"
+ "f$f rave f$f fare f$f $10.00 f$f\n"
+ "Joe keeps cryptic inventory bills like:  4# @ $5.00/# or 6# @ $4.50/#.\n"
));

append( new DrillLesson( 
"Lesson T16.8: Drill",
"Use your F-finger for the percent sign as well.",
  "fff f%f fff f%f fff f%f fff\n"
));

append( new DrillLesson( 
"Lesson T16.9: Drill",
"",
  "f%f 12% f%f 10% f%f 20% f%f\n"
+ "f%f two f%f ran f%f bug f%f\n"
+ "If a $25.00 item is sold at a 10% discount, it will cost $22.50.\n"
+ "But, a 10% markup on a item selling for $22.50 is only $24.75!  How come?\n"
));

append( new DrillLesson( 
"Lesson T16.10: Drill",
"Use your J-finger for the ampersand.",
  "jjj j&j jjj j&j jjj j&j jjj\n"
));

append( new DrillLesson( 
"Lesson T16.11: Drill",
"",
  "j&j 2&4 j&j 9&5 j&j 7&7 j&j\n"
));

append( new DrillLesson( 
"Lesson T16.12: Drill",
"",
  "j&j you&me j&j he&she j&j M&M j&j\n"
));

append( new TutorialLesson( 
"Lesson T16.13: Tutorial",
  "			The End\n"
+ "\n"
+ "You have now completed the T-series of these lessons.  If you have not already\n"
+ "done so, you should now start the N-series or S-series.\n"
+ "\n"
+ "There are a few keys which we have not studied.  If you decide to touch-type\n"
+ "these keys, use the closest finger.  Thus, the ESC, TAB, and CAPS LOCK keys\n"
+ "use the A-finger.  And, the keys to the far right (BACKSPACE, DELETE, RETURN,\n"
+ "}, {, etc.) use the ;-finger.  The upper keys (F1, F2, etc.) are not usually\n"
+ "touch typed as the reach is too far.  If you can reach them, fine.\n"
+ "\n"
+ "The CONTROL and ALT keys are difficult to touch type, but are treated like the\n"
+ "SHIFT keys whenever possible.  For example, for Alt-Q, hold down the ALT key\n"
+ "with your ;-finger and then hit the Q with your A-finger.  Certain command\n"
+ "sequences, such as Ctrl-S, are hard to do this way.  Many people simply hold\n"
+ "the CONTROL-key down with their A-finger and then hit the other key with what-\n"
+ "ever finger is convenient (usually the F-finger in this case).\n"
));
	}
}
