//
// JTypist v3.1 - Java typing tutor program for UNIX systems
// Copyright (C) 1999  Simon Baldwin (simonb@sco.com)
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
//
// MessageResource - Fallback (English) language message catalog
//
import java.util.ListResourceBundle;
import java.awt.event.KeyEvent;

/**
 * Fallback (English) language message catalog.
 * <p>
 * Anyone translating the program should convert this file into the
 * required language, and store as MessageResource_&lt;language&gt;.java.
 */
public class MessageResource extends ListResourceBundle {

	// handle on the contents of this catalog
	public Object[][] getContents() { return contents; }

// BEGIN LOCALIZATION SECTION

	// the AboutGUI text array, so we can get it in one lookup
	static final String[] about_array = {
		"Typist v3.1d (Java), Copyright (C) 1999  Simon Baldwin", "",
		"This program comes with ABSOLUTELY NO WARRANTY; for details",
		"please see the file 'COPYING' supplied with the source code.",
		"This is free software, and you are welcome to redistribute it",
		"under certain conditions; again, see 'COPYING' for details.",
		"This program is released under the GNU General Public License."
	};

	static final Object[][] contents = {

// AboutGUI dialog messages
{ "AboutGUI.about", about_array },
{ "AboutGUI.title", "About Typist v3.1" },
{ "AboutGUI.okbutton", "OK" },

// ControlGUI dialog messages
{ "ControlGUI.title", "Typist v3.1 Control Window" },
{ "ControlGUI.file", "File" },
{ "ControlGUI.file_prev", "Previous lesson" },
{ "ControlGUI.file_next", "Next lesson" },
{ "ControlGUI.file_exit", "Exit" },
{ "ControlGUI.window", "Window" },
{ "ControlGUI.window_help", "Help" },
{ "ControlGUI.window_tutorial", "Tutorial" },
{ "ControlGUI.window_exercise", "Exercise" },
{ "ControlGUI.window_statistics", "Keyboard statistics" },
{ "ControlGUI.window_keyboard", "Keyboard display" },
{ "ControlGUI.help", "Help" },
{ "ControlGUI.help_about", "About Typist" },
{ "ControlGUI.help_on", "On Typist" },
{ "ControlGUI.prevbutton", "<Prev" },
{ "ControlGUI.nextbutton", "Next>" },
{ "ControlGUI.status_none", "No series" },
{ "ControlGUI.series", "Series {0}" },
{ "ControlGUI.formatting", "Formatting lesson series ''{0}''" },
{ "ControlGUI.ready", "Ready" },
{ "ControlGUI.loading", "Loading lesson series ''{0}''" },
{ "ControlGUI.problem", "There was a problem loading Series {0}.  Sorry." },
{ "ControlGUI.selected", "Selected ''{0}''" },

// ExerciseGUI dialog messages
{ "ExerciseGUI.title", "Typist v3.1 Exercise Window" },
{ "ExerciseGUI.file", "File" },
{ "ExerciseGUI.file_restart", "Restart lesson" },
{ "ExerciseGUI.file_close", "Close window" },
{ "ExerciseGUI.options", "Options" },
{ "ExerciseGUI.options_wrap", "Word wrap on space at line ends" },
{ "ExerciseGUI.options_para", "Start next paragraph on return" },
{ "ExerciseGUI.options_skipspace", "Skip over multiple spaces" },
{ "ExerciseGUI.options_hyphen", "Skip over single hyphens at line ends" },
{ "ExerciseGUI.options_capslock", "Apply Caps Lock key workround" },
{ "ExerciseGUI.history", "History" },
{ "ExerciseGUI.nolesson", "No lesson" },
{ "ExerciseGUI.completed", "Completed" },
{ "ExerciseGUI.paused", "Paused" },
{ "ExerciseGUI.progress", "{0,number,percent} completed" },
{ "ExerciseGUI.ready", "Ready" },
// single character strings that indicate an error in typing
{ "ExerciseGUI.badkey", "*" },
{ "ExerciseGUI.badcr", "<" },

// ExerciseGUIStats dialog messages
{ "ExerciseGUIStats.title", "Typist v3.1 Exercise Timings" },
{ "ExerciseGUIStats.okbutton", "OK" },
{ "ExerciseGUIStats.completed", "Exercise ''{0}'' completed:" },
{ "ExerciseGUIStats.line1", "You made {0,number,integer} timed keystrokes with {1,number,percent} accuracy" },
{ "ExerciseGUIStats.line2", "Your speed was {0,number,integer} WPM, {1,number,integer} WPM adjusted" },
{ "ExerciseGUIStats.line3", "Your keystroke rhythm was about {0,number,percent} regular" },

// HelpGUI dialog messages
{ "HelpGUI.title", "Typist v3.1 Help Window" },
{ "HelpGUI.file", "File" },
{ "HelpGUI.file_prev", "Previous topic" },
{ "HelpGUI.file_next", "Next topic" },
{ "HelpGUI.file_close", "Close window" },
{ "HelpGUI.nohelp", "No help text" },
{ "HelpGUI.topicchoice", "Select a help topic:" },
{ "HelpGUI.dummy", "Loading up the help text..." },
{ "HelpGUI.loading", "Loading help text" },
{ "HelpGUI.ready", "Ready" },
{ "HelpGUI.formatting", "Formatting topic ''{0}''" },

// InitProgressGUI dialog messages
{ "InitProgressGUI.title", "Typist v3.1 Initialization" },

// KeyboardGUI dialog messages
{ "KeyboardGUI.title", "Typist v3.1 Keyboard Window" },
{ "KeyboardGUI.file", "File" },
{ "KeyboardGUI.file_close", "Close window" },
{ "KeyboardGUI.options", "Options" },
{ "KeyboardGUI.options_expected", "Show exercise key fingering" },
{ "KeyboardGUI.options_colourize", "Show fingering with colours" },
{ "KeyboardGUI.options_legends", "Show key legends" },
{ "KeyboardGUI.options_error", "Show keying errors" },
{ "KeyboardGUI.options_success", "Show correct keystrokes" },
{ "KeyboardGUI.kbtype", "Keyboard type: {0}" },
// main keyboard key legends; non-printable keys, space and return
{ "KeyboardGUI.bkspc", "Bkspc" },
{ "KeyboardGUI.tab", "Tab" },
{ "KeyboardGUI.caps", "Caps" },
{ "KeyboardGUI.enter", "Enter" },
{ "KeyboardGUI.shift", "Shift" },
{ "KeyboardGUI.ctrl", "Ctrl" },
{ "KeyboardGUI.alt", "Alt" },
{ "KeyboardGUI.space", "Space" },
{ "KeyboardGUI.return", "Enter" },
// miscellaneous numeric keypad legends
{ "KeyboardGUI.kpnm", "Nm" },
{ "KeyboardGUI.kpen", "En" },
// finger short codes
{ "KeyboardGUI.fl", "L" },
{ "KeyboardGUI.fr", "R" },
{ "KeyboardGUI.fm", "M" },
{ "KeyboardGUI.fi", "I" },
{ "KeyboardGUI.ft", "T" },

// PopupGUI dialog messages
{ "PopupGUI.title", "Typist v3.1 Message Dialog" },
{ "PopupGUI.okbutton", "OK" },

// StatisticsGUI dialog messages
{ "StatisticsGUI.title", "Typist v3.1 Typing Statistics Window" },
{ "StatisticsGUI.file", "File" },
{ "StatisticsGUI.file_refresh", "Refresh statistics" },
{ "StatisticsGUI.file_reset", "Reset all" },
{ "StatisticsGUI.file_close", "Close window" },
{ "StatisticsGUI.view", "View" },
{ "StatisticsGUI.refreshbutton", "Refresh" },
{ "StatisticsGUI.kbtype", "Keyboard type: {0}" },
{ "StatisticsGUI.view_finger", "Finger statistics" },
{ "StatisticsGUI.options", "Options" },
{ "StatisticsGUI.options_adjwpm", "Display adjusted WPM" },
{ "StatisticsGUI.options_autorefresh", "Automatic refresh every second" },
{ "StatisticsGUI.accuracy", "Accuracy" },
{ "StatisticsGUI.speed", "Speed"},
{ "StatisticsGUI.overall", "Overall" },
{ "StatisticsGUI.accuracy", "Accuracy" },
{ "StatisticsGUI.speed", "Speed" },
{ "StatisticsGUI.wpm", " WPM" },
{ "StatisticsGUI.pc", " %" },
{ "StatisticsGUI.space", "Space" },
{ "StatisticsGUI.return", "Enter" },
{ "StatisticsGUI.key", "Key ''{0}''" },

// TutorialGUI dialog messages
{ "TutorialGUI.title", "Typist v3.1 Tutorial Window" },
{ "TutorialGUI.file", "File" },
{ "TutorialGUI.file_close", "Close window" },
{ "TutorialGUI.history", "History" },

// Finger strings
{ "Finger.NO_FINGER", "Null" },
{ "Finger.LH_THUMB", "LH thumb" },
{ "Finger.LH_INDEX", "LH index" },
{ "Finger.LH_MIDDLE", "LH middle" },
{ "Finger.LH_RING", "LH ring" },
{ "Finger.LH_PINKY", "LH little" },
{ "Finger.RH_THUMB", "RH thumb" },
{ "Finger.RH_INDEX", "RH index" },
{ "Finger.RH_MIDDLE", "RH middle" },
{ "Finger.RH_RING", "RH ring" },
{ "Finger.RH_PINKY", "RH little" },

// GlyphGroup strings
{ "GlyphGroup.NO_GROUP", "Null" },
{ "GlyphGroup.UNSHIFTED_ALPHA", "Alphabetic keys" },
{ "GlyphGroup.SHIFTED_ALPHA", "Shifted alphabetic keys" },
{ "GlyphGroup.NUMERIC", "Numeric keys" },
{ "GlyphGroup.FIGURES", "Figures keys" },
{ "GlyphGroup.BASIC", "Other keys" },

// HelpHTML strings
{ "HelpHTML.doctype", "HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\"" },
{ "HelpHTML.contenttype", "text/html; charset=iso-8859-1" },
{ "HelpHTML.title", "Typist v3.1 (Java) User's Guide" },
{ "HelpHTML.heading", "Typist v3.1 (Java) User's Guide" },
{ "HelpHTML.toc", "Table Of Contents" },
{ "HelpHTML.contains", "This document contains the following sections:" },

// Typist messages
{ "Typist.buttonlabel", "Run Typist"},
{ "Typist.tryusage", "Try 'Typist -h' for more information." },
{ "Typist.usage", "Usage: Typist [ options ]\n\n"
+ "    -k, -kb KBT       Set the keyboard type.  Valid values are US, UK, Dvorak,\n"
+ "                      DvorakANSI, Microsoft, French, German, and others added\n"
+ "                      locally.  BasicQWERTY, BasicAZERTY, and BasicQWERTZ are\n"
+ "                      also available.  The default value is ''{0}''.\n"
+ "    -r, -realkb KBT   Set the actual keyboard type the system has.  Setting\n"
+ "                      this value makes the program translate key presses on a\n"
+ "                      keyboard of this type into the equivalent values on the\n"
+ "                      type given with the -k or -kb options.  Valid values are\n"
+ "                      as for -k, -kb.  If this option is not used, the program\n"
+ "                      will not attempt to translate key presses.\n"
+ "    -s, -series LIST  Offer these series.  LIST is a comma-separated list of\n"
+ "                      lesson series IDs, and may include locally added series.\n"
+ "                      The default value is ''{1}''.\n"
+ "    -l, -locale LOC   Set the Typist locale.  LOC is a string representing the\n"
+ "                      locale, in the form nn[_CC[_variant]], where 'nn' is the\n"
+ "                      language code, 'CC' is the optional country code, and\n"
+ "                      'variant' is the optional locale variant.  The default\n"
+ "                      is the host system locale ({2}).\n"
+ "    -m, -messages     Print startup messages while initializing.\n"
+ "    -d, -doc          Print out the Typist User's Guide in HTML.\n"
+ "    -h, -help         Print this message and exit.\n"
+ "    -v, -version      Output version information and exit.\n" },
{ "Typist.version", "Typist v3.1d (Java), Copyright (C) 1999  Simon Baldwin\n"
+ "This program comes with ABSOLUTELY NO WARRANTY; for details\n"
+ "please see the file 'COPYING' supplied with the source code.\n"
+ "This is free software, and you are welcome to redistribute it\n"
+ "under certain conditions; again, see 'COPYING' for details.\n"
+ "This program is released under the GNU General Public License.\n" },
{ "Typist.invalidkb", "Typist: invalid keyboard type {0}" },
{ "Typist.missingarg", "Typist: option requires an argument -- {0}" },
{ "Typist.noseries", "Typist: can't work without a series" },
{ "Typist.illegalopt", "Typist: illegal option -- {0}" },
{ "Typist.invalidkbtype", "Typist: invalid kbtype parameter" },
{ "Typist.defaultingto", "Typist: defaulting to type {0}" },
{ "Typist.invalidrealkbtype", "Typist: invalid realkbtype parameter" },
{ "Typist.parameterignored", "Typist: parameter ignored" },
{ "Typist.starting", "Typist v3.1 is starting, please wait..." },
{ "Typist.controlgui", "Creating Control GUI ({0})..." },
{ "Typist.addingseries", "Adding in the lesson series..." },
{ "Typist.tutorialgui", "Creating Tutorial GUI..." },
{ "Typist.kbstatistics", "Generating keyboard statistics ({0})..." },
{ "Typist.statisticsgui", "Creating Statistics GUI..." },
{ "Typist.keyboardgui", "Creating Keyboard GUI..." },
{ "Typist.exercisegui", "Creating Exercise GUI..." },
{ "Typist.helpgui", "Creating Help GUI..." },
{ "Typist.aboutgui", "Creating About dialog..." },
{ "Typist.linking", "Linking the GUIs together..." },
{ "Typist.initialized", "Typist initialization complete" },

// Menu shortcut keys for the various GUIs
{ "ControlGUI.file_prev_sc", new Integer( KeyEvent.VK_P ) },
{ "ControlGUI.file_next_sc", new Integer( KeyEvent.VK_N ) },
{ "ControlGUI.window_tutorial_sc", new Integer( KeyEvent.VK_T ) },
{ "ControlGUI.window_exercise_sc", new Integer( KeyEvent.VK_E ) },
{ "ControlGUI.window_statistics_sc", new Integer( KeyEvent.VK_S ) },
{ "ControlGUI.window_keyboard_sc", new Integer( KeyEvent.VK_K ) },
{ "ControlGUI.help_about_sc", new Integer( KeyEvent.VK_A ) },
{ "ControlGUI.help_on_sc", new Integer( KeyEvent.VK_H ) },
{ "ExerciseGUI.file_restart_sc", new Integer( KeyEvent.VK_R ) },
{ "ExerciseGUI.file_close_sc", new Integer( KeyEvent.VK_C ) },
{ "HelpGUI.file_prev_sc", new Integer( KeyEvent.VK_P ) },
{ "HelpGUI.file_next_sc", new Integer( KeyEvent.VK_N ) },
{ "HelpGUI.file_close_sc", new Integer( KeyEvent.VK_C ) },
{ "KeyboardGUI.file_close_sc", new Integer( KeyEvent.VK_C ) },
{ "StatisticsGUI.file_refresh_sc", new Integer( KeyEvent.VK_R ) },
{ "StatisticsGUI.file_reset_sc", new Integer( KeyEvent.VK_A ) },
{ "StatisticsGUI.file_close_sc", new Integer( KeyEvent.VK_C ) },
{ "TutorialGUI.file_close_sc", new Integer( KeyEvent.VK_C ) },

// END LOCALIZATION SECTION

	};
}
